//
//  TableViewController.m
//  自定义布局
//
//  Created by wangmiao on 16/4/29.
//  Copyright © 2016年 wangmiao. All rights reserved.
//

#import "TableViewController.h"
#import "ViewController.h"
#import "WMCustomViewController.h"

@interface TableViewController ()

@property (nonatomic, copy)NSArray *dataArray;

@end

@implementation TableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.dataArray = @[@"流水布局", @"自定义布局"];
    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"cell"];
 
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.dataArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *ID = @"cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:ID];
    cell.textLabel.text = self.dataArray[indexPath.row];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row == 0) {
        ViewController *vc = [[ViewController alloc] init];
        [self.navigationController pushViewController:vc animated:YES];
    } else if (indexPath.row == 1) {
        WMCustomViewController *vc = [[WMCustomViewController alloc] init];
        [self.navigationController pushViewController:vc animated:YES];
    }
}


@end
