//
//  WMCustomViewController.m
//  自定义布局
//
//  Created by wangmiao on 16/4/29.
//  Copyright © 2016年 wangmiao. All rights reserved.
//

#import "WMCustomViewController.h"
#import "CustomLayout.h"

@interface WMCustomViewController ()<UICollectionViewDelegate, UICollectionViewDataSource>

@end

@implementation WMCustomViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self setupUI];
}

- (void)setupUI
{
    self.view.backgroundColor = [UIColor whiteColor];
    self.title = @"自定义布局";
    CustomLayout *layout = [[CustomLayout alloc] init];
    
    CGRect rect = CGRectMake(0, 100, self.view.frame.size.width, 400);
    
    UICollectionView *collectionView = [[UICollectionView alloc] initWithFrame:rect collectionViewLayout:layout];
    collectionView.center = CGPointMake(self.view.center.x, self.view.center.y);
    collectionView.delegate = self;
    collectionView.dataSource = self;
//    collectionView.backgroundColor = [UIColor redColor];
    [self.view addSubview:collectionView];
    
    [collectionView registerClass:[UICollectionViewCell class] forCellWithReuseIdentifier:@"111"];
}


#pragma mark -UICollectionViewDataSource

- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{
    return 50;
}


- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *ID = @"111";
    UICollectionViewCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:ID forIndexPath:indexPath];
    cell.backgroundColor = [UIColor colorWithRed:arc4random_uniform(255)/ 255.0 green:arc4random_uniform(255)/ 255.0 blue:arc4random_uniform(255)/ 255.0 alpha:1.0];
    
    return cell;
}

@end
